Prototype{
  pid = "armor",
  type = TYPE_ARMOR,
  pic = "]",
  volume = 6
}

Prototype{
	pid = "light_armor",
	proto = "armor",
	sound2 = "sound/sfx/items/fliplarm.wav",
	sound1 = "sound/sfx/items/invlarm.wav"
}

Prototype{
	pid = "medium_armor",
	proto = "armor",
	sound2 = "sound/sfx/items/flipharm.wav",
	sound1 = "sound/sfx/items/invharm.wav"
}

Prototype{
	pid = "heavy_armor",
	proto = "armor",
	sound2 = "sound/sfx/items/flipharm.wav",
	sound1 = "sound/sfx/items/invharm.wav"
}

Item{
  name = "rags",
  proto = "light_armor",
  armormin = 2,
  armormax = 6,
  durability = 6,
  price = 5,
  level = 1
}

Item{
  name = "cape",
  proto = "light_armor",
  armormin = 1,
  armormax = 5,
  durability = 12,
  price = 10,
  level = 1
}

Item{
  name = "cloak",
  proto = "light_armor",
  armormin = 3,
  armormax = 7,
  durability = 18,
  price = 40,
  level = 2
}

Item{
  name = "robe",
  proto = "light_armor",
  armormin = 4,
  armormax = 7,
  durability = 24,
  price = 75,
  level = 3
}

Item{
  name = "quilted armor",
  iname = "armor",
  proto = "light_armor",
  armormin = 7,
  armormax = 10,
  durability = 30,
  price = 200,
  level = 4
}

Item{
  name = "leather armor",
  iname = "armor",
  proto = "light_armor",
  armormin = 10,
  armormax = 13,
  durability = 35,
  price = 300,
  level = 6
}

Item{
  name = "hard leather armor",
  iname = "armor",
  proto = "light_armor",
  armormin = 11,
  armormax = 14,
  durability = 40,
  price = 450,
  level = 7
}

Item{
  name = "studded armor",
  iname = "armor",
  proto = "light_armor",
  armormin = 15,
  armormax = 17,
  durability = 45,
  price = 700,
  level = 9,
  minstr =20
}

Item{
  name = "ring mail",
  iname = "mail",
  proto = "medium_armor",
  armormin = 17,
  armormax = 20,
  durability = 50,
  price = 900,
  level = 11,
  minstr = 25
}

Item{
  name = "chain mail",
  iname = "mail",
  proto = "medium_armor",
  armormin = 18,
  armormax = 22,
  durability = 55,
  price = 1250,
  level = 13,
  minstr = 30
}

Item{
  name = "breast plate",
  iname = "plate",
  proto = "medium_armor",
  armormin = 20,
  armormax = 24,
  durability = 80,
  price = 2800,
  level = 16,
  minstr = 40
}

Item{
  name = "scale mail",
  iname = "mail",
  proto = "medium_armor",
  armormin = 23,
  armormax = 28,
  durability = 60,
  price = 2300,
  level = 15,
  minstr = 35
}

Item{
  name = "splint mail",
  iname = "mail",
  proto = "medium_armor",
  armormin = 30,
  armormax = 35,
  durability = 65,
  price = 3250,
  level = 17,
  minstr = 40
}

Item{
  name = "field plate",
  iname = "plate",
  proto = "heavy_armor",
  armormin = 40,
  armormax = 45,
  durability = 80,
  price = 5800,
  level = 21,
  minstr = 65
}

Item{
  name = "plate mail",
  iname = "plate",
  proto = "heavy_armor",
  armormin = 42,
  armormax = 50,
  durability = 75,
  price = 4600,
  level = 19,
  minstr = 60
}

Item{
  name = "gothic plate",
  iname = "plate",
  proto = "heavy_armor",
  armormin = 50,
  armormax = 60,
  durability = 100,
  price = 8000,
  level = 23,
  minstr = 80
}

Item{
  name = "full plate mail",
  iname = "plate",
  proto = "heavy_armor",
  armormin = 60,
  armormax = 75,
  durability = 90,
  price = 6500,
  level = 25,
  minstr = 90
}

-- Uniques ------------------------------------------------

Item{
	name = "full plate mail",
	iname   = "Demonspike Coat",
	id	    = "demonspike_coat",
	flags   = { ifUnique, ifIndest },
	proto 	= "heavy_armor",
	color 	= YELLOW,
	armormin = 100,
	armormax = 100,
	durability = 90,
	price 	= 251175,
	level 	= 25,
	minstr 	= 90,
	--+50% resist fire
	str		= 10,
	dmgtaken= -6,
}

Item{
	name  	= "studded armor",
	iname 	= "the Gladiator's Bane",
	id		= "the_gladiator's_bane",
  	flags   = { ifUnique },
	proto 	= "light_armor",
	color 	= YELLOW,
	armormin = 25,
	armormax = 25,
	durability = 135,
	price 	= 3450,
	level 	= 6,
	minstr 	=20,
	str  	= -3,
	mag		= -3,
	dex		= -3,
	vit		= -3,
	dmgtaken= -2,
	durmod	= 1,
}

Item{
	name 	= "leather armor",
	iname 	= "Leather of Aut",
	id 		= "learher_of_aut",
  	flags   = { ifUnique, ifIndest },
	proto 	= "light_armor",
	color 	= YELLOW,
	armormin = 15,
	armormax = 15,
	durability = 35,
	price 	= 10550,
	level 	= 4,
	str		= 5,
	mag		= -5,
	dex		= 5
}

Item{
	name 	= "plate mail",
	iname 	= "Naj's Light Plate",
	id		= "naj's_light_plate",
	flags   = { ifUnique },
	proto 	= "heavy_armor",
	color 	= YELLOW,
	armormin = 42,
	armormax = 50,
	durability = 75,
	price 	= 78700,
	level 	= 19,
	mag		= 5,
	mana	= 20,
	--+20% resist all
	spelllevel = 1,
}

Item{
	name 	= "cape",
	iname	= "Nightscape",
	id		= "nightscape",
  	flags   = { ifUnique },
	proto 	= "light_armor",
	color 	= YELLOW,
	armormin = 15,
	armormax = 15,
	durability = 27,
	price 	= 11600,
	level 	= 16,
	dex		= 3,
	--+20% resist all
	spdhit	= SPD_FASTER,
	lightmod= -40,
}

Item{
	name  	= "cloak",
	iname 	= "the Rainbow Cloak",
	id		= "the_rainbow_cloak",
  	flags   = { ifUnique },
	proto 	= "light_armor",
	color 	= YELLOW,
	armormin = 10,
	armormax = 10,
	durability = 27,
	price 	= 4900,
	level 	= 2,
	str		= 1,
	mag		= 1,
	dex		= 1,
	vit		= 1,
	life	= 5,
	--+10% resist all
	durmod	= 1,
}

Item{
	name 	= "breast plate",
	iname 	= "Scavenger Carapace",
  	flags   = { ifUnique },
	proto 	= "medium_armor",
	color 	= YELLOW,
	armormin = -10,
	armormax = -6,
	durability = 80,
	price 	= 14000,
	level 	= 13,
	minstr 	= 40,
	dex		= 5,
	--+40% resist lightning
	dmgtaken= -15,
}

Item{
	name 	= "chain mail",
	iname 	= "Sparking Mail",
	id		= "sparkig_mail",
  	flags   = { ifUnique },
	proto 	= "medium_armor",
	color 	= YELLOW,
	armormin = 30,
	armormax = 30,
	durability = 55,
	price 	= 15750,
	level 	= 9,
	minstr 	= 30,
	-- 1-10 lightning damage
}

Item{
	name 	= "rags",
	iname	= "Torn Flesh of Souls",
	id		= "torn_flesh_of_souls",
  	flags   = { ifUnique, ifIndest },
	proto 	= "light_armor",
	color 	= YELLOW,
	armormin = 8,
	armormax = 8,
	durability = 6,
	price 	= 4825,
	level 	= 2,
	vit		= 10,
	dmgtaken= -1,
}

Item{
	name 	= "robe",
	iname 	= "Wisdom's Wrap",
	id		= "wisdom's_wrap",
  	flags   = { ifUnique },
	proto 	= "light_armor",
	color 	= YELLOW,
	armormin = 15,
	armormax = 15,
	durability = 24,
	price 	= 6200,
	level 	= 5,
	mag		= 5,
	mana	= 10,
	--+25% resist lightning
	dmgtaken= -1
}

